aboutsummaryrefslogtreecommitdiff
path: root/scripts/fuzz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/fuzz.sh')
-rwxr-xr-xscripts/fuzz.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/fuzz.sh b/scripts/fuzz.sh
new file mode 100755
index 0000000..59d52a2
--- /dev/null
+++ b/scripts/fuzz.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env sh
+
+set -ex
+
+pushd lib/xixanta
+cargo +nightly fuzz run fuzz_target_parser -- -max_total_time=180
+cargo +nightly fuzz run fuzz_target_assembler -- -max_total_time=180
+popd
+
+pushd lib/header
+cargo +nightly fuzz run fuzz_target_header -- -max_total_time=180
+popd